Skip to main content
GET
/
api
/
v1
/
git
/
repositories
/
search
Search Repositories
curl --request GET \
  --url https://app.all-hands.dev/api/v1/git/repositories/search \
  --header 'X-Access-Token: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "full_name": "<string>",
      "git_provider": "github",
      "is_public": true,
      "stargazers_count": 123,
      "link_header": "<string>",
      "pushed_at": "<string>",
      "owner_type": "user",
      "main_branch": "<string>"
    }
  ],
  "next_page_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://allhandsai-add-v1-api-reference.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Token
string
header
required

Query Parameters

provider
enum<string>
required
Available options:
github,
gitlab,
bitbucket,
bitbucket_data_center,
forgejo,
azure_devops,
enterprise_sso
query
string | null
installation_id
string | null
page_id
string | null
limit
integer
default:100
Required range: x <= 100
sort_order
enum<string> | null

Sort order for search results combining sort field and direction.

Values: STAR_DESC: Sort by stars, descending STAR_ASC: Sort by stars, ascending FORKS_DESC: Sort by forks, descending FORKS_ASC: Sort by forks, ascending UPDATED_DESC: Sort by last updated, descending UPDATED_ASC: Sort by last updated, ascending

Available options:
stars-desc,
stars-asc,
forks-desc,
forks-asc,
updated-desc,
updated-asc

Response

Successful Response

Paginated response for repositories.

Attributes: items: List of repositories in the current page. next_page_id: ID for the next page, or None if there are no more pages.

items
Repository · object[]
required
next_page_id
string | null